Intensity: Get mean...

A query to the selected Intensity object.

## Return value

the mean (in dB) of the intensity values of the frames within a specified time domain.

## Settings

Time range (s)
  the time range (t1, t2). Values outside this range are ignored. If t1 is not less than t2, the entire time domain of the Intensity is considered.
Averaging method
  the units in which the averaging is performed. If the method is energy, the returned dB value is based on the mean power (in Pa2/s) between t1 and t2. If the method is dB, the returned value is the mean of the intensity curve in dB. If the method is sones, the returned value is in between these two, and based on averaging properties of the human ear.

## Algorithm

If the averaging method is dB, the mean intensity between the times t1 and t2 is defined as

1/(t2 - t1) ∫t1t2 x(t) dt

where x(t) is the intensity as a function of time, in dB. If the method is energy, the result is

10 log10 { 1/(t2 - t1) ∫t1t2 10x(t)/10 dt }

If the method is sones, the result is

10 log2 { 1/(t2 - t1) ∫t1t2 2x(t)/10 dt }

## Behaviour

After you do Sound: To Intensity..., the mean intensity of the resulting Intensity, if the averaging method is energy, should be close to the mean SPL of the original Sound, which can be found with Info.

### Links to this page

- Intro 6.2. Configuring the intensity contour